@charset "UTF-8";
/*! Captcha CSS */
#captcha {
  --progress: 0;
  position: relative;
  overflow: visible;
  display: inline-block;
  width: 100%;
  height: 3.5rem;
  border: 1px solid #ccc;
  padding: 1rem;
  line-height: 1.5rem;
  border-radius: 0.2rem;
  user-select: none;
}
#captcha[hidden] {
  display: none;
}
#captcha[data-status=start] {
  cursor: wait;
}
#captcha[data-status=check] {
  cursor: progress;
}
#captcha[data-status=success], #captcha[data-status=warning], #captcha[data-status=error] {
  cursor: default;
}
#captcha[data-status=success] input, #captcha[data-status=warning] input, #captcha[data-status=error] input {
  opacity: 1;
  outline: none;
  pointer-events: none !important;
}
#captcha[data-status=success] label, #captcha[data-status=warning] label, #captcha[data-status=error] label {
  opacity: 1;
  pointer-events: none !important;
}
#captcha[data-status=warning] input {
  background-image: url("data:image/svg+xml, %3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 9 9'%3E%3Cpath d='M4.5 0.5 L8.5 8.5 H0.5 Z' fill='none' stroke='orange' stroke-linejoin='round' stroke-width='0.8'/%3E%3Cpath d='M4.5 3.5 L4.5 5.5 M4.5 6.9 L4.5 7' stroke-width='0.8' stroke='orange' stroke-linecap='square'/%3E%3C/svg%3E");
}
#captcha[data-status=warning] label {
  color: orange;
}
#captcha[data-status=error] input {
  background-image: url("data:image/svg+xml, %3Csvg xmlns='http://www.w3.org/2000/svg' width='9' height='9' viewBox='0 0 9 9'%3E%3Ccircle cx='4.5' cy='4.5' r='4' fill='none' stroke='darkred' stroke-width='0.8'/%3E%3Cpath stroke='darkred' stroke-width='0.8' stroke-linecap='square' d='M3 3 L6 6 M6 3 L3 6'/%3E%3C/svg%3E");
}
#captcha[data-status=error] label {
  color: darkred;
}
#captcha, #captcha * {
  box-sizing: border-box;
}
#captcha svg {
  position: absolute;
  left: 1rem;
  top: 1rem;
  width: 1.5rem;
  height: 1.5rem;
  margin: 0;
}
#captcha svg circle {
  fill: transparent;
  stroke-width: 0.8;
  stroke-linecap: square;
  stroke: currentColor;
}
#captcha svg circle:first-of-type {
  opacity: 0.15;
}
#captcha svg circle:last-of-type {
  transform: rotate(-90deg);
  transform-origin: 50% 50%;
  stroke-dasharray: 25.13;
  stroke-dashoffset: calc(25.13 - (var(--progress) / 100 * 25.13));
}
#captcha input {
  all: unset;
  appearance: none;
  -moz-appearance: textfield;
  width: 1.5rem;
  height: 1.5rem;
  outline: 2px solid currentColor;
  opacity: 0.5;
  overflow: visible;
  border: none;
  border-radius: 0.25rem;
  background-color: transparent;
  background-position: center center;
  background-size: 100%;
  pointer-events: none;
  z-index: -1;
  will-change: opacity, background;
  animation-play-state: paused;
  transition: opacity 0.2s ease;
}
#captcha input:active, #captcha input:focus {
  opacity: 1;
}
#captcha input:disabled + label {
  cursor: not-allowed;
  opacity: 0.25;
  pointer-events: none;
}
#captcha input:indeterminate {
  visibility: hidden;
}
#captcha input:indeterminate + label {
  pointer-events: none;
  opacity: 1;
}
#captcha input:checked {
  opacity: 1;
  outline: none;
  pointer-events: none !important;
  animation-play-state: running;
  background-size: 115%;
  background-image: url("data:image/svg+xml, %3Csvg xmlns='http://www.w3.org/2000/svg' width='9' height='9' viewBox='0 0 9 9'%3E%3Cstyle%3E@keyframes anim{0%25{stroke-dashoffset:8.718px}to{stroke-dashoffset:0}}%3C/style%3E%3Cpath fill='none' stroke='%2300a67d' stroke-linecap='square' stroke-linejoin='round' stroke-width='1' d='M1.9 4.5 3.8 6.3 7.5 2.6' style='stroke-dashoffset:0;stroke-dasharray:8.718px;animation:anim .5s ease'/%3E%3C/svg%3E");
}
#captcha input:checked + label {
  opacity: 1;
  pointer-events: none !important;
  pointer-events: none;
}
#captcha input:user-invalid, #captcha input.invalid {
  outline-color: darkred;
}
#captcha input:user-invalid ~ .message-error, #captcha input.invalid ~ .message-error {
  opacity: 1;
  visibility: visible;
  display: block;
}
#captcha label {
  position: absolute;
  overflow: hidden;
  top: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: inherit;
  padding-left: 3.5rem;
  margin: 0;
  line-height: inherit;
  cursor: pointer;
  white-space: nowrap;
  text-overflow: ellipsis;
  will-change: background, opacity;
  transition: background 0.2s ease, opacity 0.2s ease;
}
#captcha label:hover {
  background-color: rgba(211, 211, 211, 0.5);
}
#captcha label:first-letter {
  text-transform: uppcase;
}
#captcha .message-error {
  position: absolute;
  display: none;
  overflow: visible;
  margin: 0;
  padding: 0;
  left: 0;
  bottom: -1.5em;
  color: darkred;
  font-size: 0.7rem;
  line-height: 1em;
  opacity: 0;
  visibility: hidden;
}